# class KHTMLFactory |
Definition | `#include <khtml_factory.h>`
Inherits | KParts::Factory (kparts) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KHTMLFactory ( bool clone = false )
- virtual ~KHTMLFactory ()
- virtual KParts::Part * createPartObject ( QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &args )

#### Public Static Methods

- static void registerPart ( KHTMLPart *part )
- static void deregisterPart ( KHTMLPart *part )
- static QList<KHTMLPart> * partList ()
- static KInstance * instance ()
- static KHTMLSettings * defaultHTMLSettings ()
- static KParts::HistoryProvider * vLinks ()

#### Protected Static Methods

- static void ref ()
- static void deref ()

## Detailed Description

KHTMLFactory ( bool clone = false ) | ### KHTMLFactory

~KHTMLFactory () | ### ~KHTMLFactory

[virtual]

KParts::Part * createPartObject ( QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &args ) | ### createPartObject

[virtual]

Reimplemented from Factory.

void registerPart ( KHTMLPart *part ) | ### registerPart

[static]

void deregisterPart ( KHTMLPart *part ) | ### deregisterPart

[static]

QList<KHTMLPart> * partList () | ### partList

[static]

KInstance * instance () | ### instance

[static]

KHTMLSettings * defaultHTMLSettings () | ### defaultHTMLSettings

[static]

KParts::HistoryProvider * vLinks () | ### vLinks

[static]

void ref () | ### ref

[protected static]

void deref () | ### deref

[protected static]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:52 2001, using kdoc 2.0a53.